# Generated from tobimoku_studio_game-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tobimoku_studio_game

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Game made following the exercises for Pragmatic Studio Ruby Course
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
This is the game I made following the exercises in the Pragmatic Studios Ruby
Course. 
Run studio_game to play a silly game.
You can add your own players to the game by creating a CSV file. 
Each line of the file should contain the player's name and starting health
like so :
Alvin,100
Simon,60
Theo,125
studio_game "YOUR_PLAYER_FILE_NAME.csv" without the quotes will load your
players, otherwise the default "players.csv"" is used.
When you quit the game, the players scores are written in the high_scores.txt
file.
Thanks to Mike and Nicole Clark at Pragmatic Studios for putting together such
a great course.
All typos and bugs are mine
KP.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/studio_game
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/spec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.0-1
- Initial package
